Homework 1.1 : Enable SCRAM-SHA-1

when i am trying to start mongod initially… i am getting following error message within database VM. I remember seeing some errors when i was bringing this vm up with vagrant up but ignored them, thinking that those may not create any issue. Shall i destroy this VM and bring it up again? Thanks

The program ‘mongod’ is currently not installed. To run ‘mongod’ please ask your administrator to install the package ‘mongodb-server’

1 Like

Hi… I destroyed that VM and created again… now i got error this time… can someone please help on how to workaround this…

I am getting error in two parts:

Part 1:

database: W
database: :
database: GPG error: http://repo.mongodb.com trusty/mongodb-enterprise/3.2 Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY D68FA50FEA312927
database: + install_mongod
database: + echo ‘Install MongoDB Enterprise’

Part 2:
database: E
database: :
database: There are problems and -y was used without --force-yes
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

All… fortunately i solved it myself… i added “–force-yes” just before “-y” in provision-database file where it was installing mongo-server in vm… and its good now… Hope it helps others who come across this issue… mine is on macOS Catalina 10.15.1.

3 Likes